package domain


type AlibabaWdkSkuWarehouseskuQueryApiResult struct {
    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误内容     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        数据集合     */
    Models  *[]AlibabaWdkSkuWarehouseskuQueryWarehouseSkuDo `json:"models,omitempty" `

    /*
        调用是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSkuWarehouseskuQueryApiResult) SetErrCode(v string) *AlibabaWdkSkuWarehouseskuQueryApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuQueryApiResult) SetErrMsg(v string) *AlibabaWdkSkuWarehouseskuQueryApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuQueryApiResult) SetModels(v []AlibabaWdkSkuWarehouseskuQueryWarehouseSkuDo) *AlibabaWdkSkuWarehouseskuQueryApiResult {
    s.Models = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuQueryApiResult) SetSuccess(v bool) *AlibabaWdkSkuWarehouseskuQueryApiResult {
    s.Success = &v
    return s
}
